Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007925TestLinkCustom fieldspublic2017-04-20 19:082017-04-27 20:52
Reportersergio.jara 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.9.16 (2016 Q4) 
Fixed in Version1.9.17 (2017 Q2) 
Summary0007925: Don´t show the custom fields date format. - CUSTOM FIELD FOR BUILD
DescriptionCreate custom field with date format and assign into the build.
Steps To ReproduceCreate build and put date into custom field type DATE and save then, it's work fine, save field value correctly.

But enter to edit build, this don't show any value (empty) into custom field type date or datetime.
Additional InformationData base show the value correctly on the save.
TagsNo tags attached.
Database (MySQL,Postgres,etc)mysql (mariadb)
Browserchrome
PHP Version5.6
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespng file icon 2017-04-20 16_05_52-TestLink 1.9.16 (Moka pot).png [^] (45,421 bytes) 2017-04-20 19:08


png file icon 2017-04-26 10_43_41-TestLink 1.9.17 [Dev](Alan Turing).png [^] (19,907 bytes) 2017-04-26 13:52


png file icon 2017-04-26 15_49_24-TestLink 1.9.16 (Moka pot).png [^] (34,896 bytes) 2017-04-26 18:50

- Relationships
child of 0007817new Availables hot-fixes for 1.9.16 & How To get full fixed package from GitHub 

-  Notes
(0026303)
fman (administrator)
2017-04-21 07:46

1. please get latest code from github, do fresh install, retest & provide feedback
2. please provide Custom Fields EXPORT XML, to allow esay test of this issue
(0026306)
sergio.jara (reporter)
2017-04-21 14:27

I have question for you, about version for fresh install version is TestLink 1.9.17 (Prague Bugfix 17) Alan Turing ?

Thank you very much.
best,
(0026307)
fman (administrator)
2017-04-22 06:15

>> I have question for you, about version for fresh install version is TestLink 1.9.17 (Prague Bugfix 17) Alan Turing ?

YES

2. please provide Custom Fields EXPORT XML, to allow easy test of this issue
(0026308)
fman (administrator)
2017-04-22 06:21
edited on: 2017-04-22 06:26

Tested with mampPro - PHP 7.1


Fatal error: Uncaught Error: [] operator not supported for strings in /development/github/testlink-code/lib/functions/cfield_mgr.class.php:2862 Stack trace: #0 /development/github/testlink-code/lib/functions/testplan.class.php(8153): cfield_mgr->html_inputs(Array, '', Array) #1 /development/github/testlink-code/lib/plan/buildEdit.php(196): build_mgr->html_custom_field_inputs(1, 1, 'design', '', Array) 0000002 /development/github/testlink-code/lib/plan/buildEdit.php(32): initializeGui(Object(stdClass), Object(build_mgr)) 0000003 {main} thrown in /development/github/testlink-code/lib/functions/cfield_mgr.class.php on line 2862

Anyway this is not the issue reason

(0026313)
fman (administrator)
2017-04-26 13:56

do not add notes that have nothing to do with this issue, is a very,very bad practice.
you have yo open a NEW ISSUE
(0026314)
sergio.jara (reporter)
2017-04-26 18:46

i'm found the solution for the problem, in the function get_linked_cfields_at_design of page cfield_mgr.class.php, i need convert to from Unix time to date format....

search Line 455

//$additional_values .= ",CFDV.value AS value,CFDV.node_id AS node_id";
      
 $additional_values .= " ,CASE CF.type WHEN 8 THEN DATE_FORMAT(from_unixtime(CFDV.value), '%d-%m-%Y')
                              ELSE CFDV.value END AS value, CFDV.node_id AS node_id";
(0026315)
fman (administrator)
2017-04-26 18:50

Solution has to be valid for each DB type or can not be used.
I'm trying to understand the issue
(0026329)
fman (administrator)
2017-04-27 20:51

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/69658a039542c31446d490ce15314e7c91f827d6 [^]

- Issue History
Date Modified Username Field Change
2017-04-20 19:08 sergio.jara New Issue
2017-04-20 19:08 sergio.jara File Added: 2017-04-20 16_05_52-TestLink 1.9.16 (Moka pot).png
2017-04-21 07:45 fman QA Team - Task Workflow Status => TBD
2017-04-21 07:45 fman Summary Don´t show the custom fields date format. => Don´t show the custom fields date format. - CUSTOM FIELD FOR BUILD
2017-04-21 07:46 fman Note Added: 0026303
2017-04-21 07:46 fman Assigned To => fman
2017-04-21 07:46 fman Status new => feedback
2017-04-21 14:27 sergio.jara Note Added: 0026306
2017-04-21 14:27 sergio.jara Status feedback => assigned
2017-04-22 06:15 fman Note Added: 0026307
2017-04-22 06:21 fman Note Added: 0026308
2017-04-22 06:26 fman Note Edited: 0026308 View Revisions
2017-04-26 13:52 sergio.jara File Added: 2017-04-26 10_43_41-TestLink 1.9.17 [Dev](Alan Turing).png
2017-04-26 13:53 sergio.jara Note Added: 0026311
2017-04-26 13:53 sergio.jara Note Added: 0026312
2017-04-26 13:56 fman Note Added: 0026313
2017-04-26 18:46 sergio.jara Note Added: 0026314
2017-04-26 18:46 sergio.jara Note Deleted: 0026312
2017-04-26 18:47 sergio.jara Note Deleted: 0026311
2017-04-26 18:50 sergio.jara File Added: 2017-04-26 15_49_24-TestLink 1.9.16 (Moka pot).png
2017-04-26 18:50 fman Note Added: 0026315
2017-04-27 20:51 fman Note Added: 0026329
2017-04-27 20:51 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2017-04-27 20:51 fman Status assigned => resolved
2017-04-27 20:51 fman Fixed in Version => 1.9.17 (2017 Q2)
2017-04-27 20:51 fman Resolution open => fixed
2017-04-27 20:52 fman Relationship added child of 0007817



Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker